import React, { useState } from 'react'
import ScrollPageRefresh from '@/components/ScrollPageRefresh'
import WuYeJiaoFeiItem from '@/components/WuYeJiaoFeiItem'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function WoDeJiaoFei () {

  const [PageList, setPageList] = useState([])

  const Refresh = (e) => { // 下拉刷新
    setPageList(e)
  }

  const Push = (e) => { // 上拉加载
    setPageList(PageList.concat(e))
  }
  

  return (
    <view className='WoDeJiaoFei'>
      <ScrollPageRefresh ApiName={`getActivityList`} RequestParams={{ mine: 1 }} Refresh={Refresh} Push={Push}>
        <view className='Content Activity'>
          {
            PageList.map((item, index) => (
              <view className='ListItem' key={`ActivityItem-${index}`}>
                <WuYeJiaoFeiItem Data={item}></WuYeJiaoFeiItem>
              </view>
            ))
          }
        </view>
      </ScrollPageRefresh>
    </view>
  )
}
